import numpy as np
import matplotlib.pyplot as plt

n = 30
nombres = ['mean radius', 'mean texture', 'mean perimeter', 'mean area',
 'mean smoothness', 'mean compactness', 'mean concavity',
 'mean concave points', 'mean symmetry', 'mean fractal dimension',
 'radius error', 'texture error', 'perimeter error', 'area error',
 'smoothness error', 'compactness error', 'concavity error',
 'concave points error', 'symmetry error', 'fractal dimension error',
 'worst radius', 'worst texture', 'worst perimeter', 'worst area',
 'worst smoothness', 'worst compactness', 'worst concavity',
 'worst concave points', 'worst symmetry', 'worst fractal dimension']

importancia = [0.00000000e+00, 3.01398340e-02, 0.00000000e+00, 0.00000000e+00,
 3.07558331e-02, 0.00000000e+00, 0.00000000e+00, 6.81640389e-03,
 0.00000000e+00, 0.00000000e+00, 0.00000000e+00, 0.00000000e+00,
 0.00000000e+00, 1.32842395e-02, 1.33618328e-03, 0.00000000e+00,
 0.00000000e+00, 1.75278957e-02, 0.00000000e+00, 0.00000000e+00,
 1.51009563e-02, 6.87187192e-04, 7.52704043e-01, 9.99961996e-03,
 0.00000000e+00, 0.00000000e+00, 3.26450148e-02, 8.90027894e-02,
 0.00000000e+00, 0.00000000e+00]

plt.barh( np.arange(n), importancia, align='center' )
plt.yticks( np.arange(n), nombres )
plt.xlabel("Importancia de las características")
plt.ylabel("Característica")
plt.ylim(-1,n)

plt.show( ) 

